from typing import Tuple

from llhardware._cpp import core, devices, planners

class StepperMotorPlanController(core.SimpleUpdate):
    @property
    def cur_state(self) -> Tuple[int, Tuple[int, float]]: ...
    def __init__(self, motor: devices.IStepperMotor) -> None: ...
    def set_plan(self, plan: planners.IFrozenStepperMotorPlan) -> None: ...
